summaryrefslogtreecommitdiffstats
path: root/make/scripts/make.jocl.all.android-armv6-cross.sh
diff options
context:
space:
mode:
Diffstat (limited to 'make/scripts/make.jocl.all.android-armv6-cross.sh')
-rwxr-xr-xmake/scripts/make.jocl.all.android-armv6-cross.sh61
1 files changed, 25 insertions, 36 deletions
diff --git a/make/scripts/make.jocl.all.android-armv6-cross.sh b/make/scripts/make.jocl.all.android-armv6-cross.sh
index dcca619f..59a46dc0 100755
--- a/make/scripts/make.jocl.all.android-armv6-cross.sh
+++ b/make/scripts/make.jocl.all.android-armv6-cross.sh
@@ -1,47 +1,35 @@
#! /bin/sh
-SDIR=`dirname $0`
+SDIR=$(readlink -f `dirname $0`)
-if [ -e $SDIR/../../../gluegen/make/scripts/setenv-build-jogl-x86_64.sh ] ; then
- . $SDIR/../../../gluegen/make/scripts/setenv-build-jogl-x86_64.sh
+if [ -e ${SDIR}/../../../gluegen/make/scripts/setenv-build-jogamp-x86_64.sh ] ; then
+ . ${SDIR}/../../../gluegen/make/scripts/setenv-build-jogamp-x86_64.sh
fi
-if [ -e $SDIR/../../../gluegen/make/scripts/setenv-android-tools.sh ] ; then
- . $SDIR/../../../gluegen/make/scripts/setenv-android-tools.sh
-fi
-
-export NODE_LABEL=.
-
-export HOST_UID=jogamp
-# jogamp02 - 10.1.0.122
-export HOST_IP=10.1.0.122
-export HOST_RSYNC_ROOT=PROJECTS/JOGL
+LOGF=make.jocl.all.android-armv6-cross.log
+rm -f ${LOGF}
-export TARGET_UID=jogamp
-export TARGET_IP=panda02
-#export TARGET_IP=jautab03
-#export TARGET_IP=jauphone04
-export TARGET_ADB_PORT=5555
-# needs executable bit (probably su)
-export TARGET_ROOT=/data/projects
-export TARGET_ANT_HOME=/usr/share/ant
+export ANDROID_HOME=/opt-linux-x86_64/android-sdk-linux_x86_64
+export ANDROID_API_LEVEL=24
+export ANDROID_HOST_TAG=linux-x86_64
+export ANDROID_ABI=armeabi-v7a
-export ANDROID_VERSION=9
-export SOURCE_LEVEL=1.6
-export TARGET_LEVEL=1.6
-export TARGET_RT_JAR=/opt-share/jre1.6.0_30/lib/rt.jar
-
-export GCC_VERSION=4.8
-HOST_ARCH=linux-x86_64
-export TARGET_TRIPLE=arm-linux-androideabi
-
-export NDK_TOOLCHAIN_ROOT=$NDK_ROOT/toolchains/${TARGET_TRIPLE}-${GCC_VERSION}/prebuilt/${HOST_ARCH}
-export TARGET_PLATFORM_ROOT=${NDK_ROOT}/platforms/android-${ANDROID_VERSION}/arch-arm
+if [ -e ${SDIR}/../../../gluegen/make/scripts/setenv-android-tools.sh ] ; then
+ . ${SDIR}/../../../gluegen/make/scripts/setenv-android-tools.sh >> $LOGF 2>&1
+else
+ echo "${SDIR}/../../../setenv-android-tools.sh doesn't exist!" 2>&1 | tee -a ${LOGF}
+ exit 1
+fi
-# Need to add toolchain bins to the PATH.
-export PATH="$NDK_TOOLCHAIN_ROOT/$TARGET_TRIPLE/bin:$ANDROID_HOME/platform-tools:$ANDROID_HOME/build-tools/$ANDROID_BUILD_TOOLS_VERSION:$PATH"
+export GLUEGEN_CPPTASKS_FILE=${SDIR}/../../../gluegen/make/lib/gluegen-cpptasks-android-armv6.xml
+export PATH_VANILLA=$PATH
+export PATH=${ANDROID_TOOLCHAIN_ROOT}/${ANDROID_TOOLCHAIN_NAME}/bin:${ANDROID_TOOLCHAIN_ROOT}/bin:${ANDROID_HOME}/platform-tools:${ANDROID_BUILDTOOLS_ROOT}:${PATH}
+echo PATH ${PATH} 2>&1 | tee -a ${LOGF}
+echo clang `which clang` 2>&1 | tee -a ${LOGF}
-export GLUEGEN_CPPTASKS_FILE=`pwd`/../../gluegen/make/lib/gluegen-cpptasks-android-armv6.xml
+export SOURCE_LEVEL=1.8
+export TARGET_LEVEL=1.8
+export TARGET_RT_JAR=/opt-share/jre1.8.0_212/lib/rt.jar
#export JUNIT_DISABLED="true"
#export JUNIT_RUN_ARG0="-Dnewt.test.Screen.disableScreenMode"
@@ -52,5 +40,6 @@ export JOGAMP_JAR_CODEBASE="Codebase: *.goethel.localnet"
# BUILD_ARCHIVE=true \
ant \
-Drootrel.build=build-android-armv6 \
- $* 2>&1 | tee -a make.jocl.all.android-armv6-cross.log
+ -Dgcc.compat.compiler=clang \
+ $* 2>&1 | tee -a ${LOGF}